Package org.apache.tapestry5.modules

# Class PageLoadModule

java.lang.Object
org.apache.tapestry5.modules.PageLoadModule

@Marker(Core.class) public class PageLoadModule extends Object

Since:
  5.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageLoadModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `bind(ServiceBinder binder)`
  `static ComponentDependencyRegistry`
  `buildComponentDependencyRegistry(InternalComponentInvalidationEventHub internalComponentInvalidationEventHub, ResourceChangeTracker resourceChangeTracker, ComponentTemplateSource componentTemplateSource, PageClassLoaderContextManager pageClassLoaderContextManager, ComponentInstantiatorSource componentInstantiatorSource, ComponentClassResolver componentClassResolver, TemplateParser templateParser, ComponentTemplateLocator componentTemplateLocator, PerthreadManager perthreadManager, String componentDependencyFile, boolean productionMode)`
  `static PageCachingReferenceTypeService`
  `buildPageCachingReferenceTypeService(List<PageCachingReferenceTypeService> configuration, ChainBuilder chainBuilder)`
  `static void`
  `contributeFactoryDefaults(MappedConfiguration<String,Object> configuration)`
  Contributes factory defaults that may be overridden.
  `static void`
  `contributePageCachingReferenceTypeService(OrderedConfiguration<PageCachingReferenceTypeService> configuration)`
  `void`
  `preloadPageClassLoaderContexts(PageClassLoaderContextManager pageClassLoaderContextManager, ComponentDependencyRegistry componentDependencyRegistry, boolean productionMode, boolean multipleClassLoaders)`
  `static void`
  `preloadPages(PagePreloader preloader, PreloaderMode mode, boolean productionMode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageLoadModule

    public PageLoadModule()

- ## Method Details

  - ### contributeFactoryDefaults

    public static void contributeFactoryDefaults(MappedConfiguration<String,Object> configuration)
    Contributes factory defaults that may be overridden.

  - ### bind

    public static void bind(ServiceBinder binder)

  - ### preloadPages

    @Startup public static void preloadPages(PagePreloader preloader, @Symbol("tapestry.page-preload-mode") PreloaderMode mode, @Symbol("tapestry.production-mode") boolean productionMode)

  - ### preloadPageClassLoaderContexts

    @Startup @Order("before:*") public void preloadPageClassLoaderContexts(PageClassLoaderContextManager pageClassLoaderContextManager, ComponentDependencyRegistry componentDependencyRegistry, @Symbol("tapestry.production-mode") boolean productionMode, @Symbol("tapestry.multiple-classloaders") boolean multipleClassLoaders)

  - ### buildPageCachingReferenceTypeService

    public static PageCachingReferenceTypeService buildPageCachingReferenceTypeService(List<PageCachingReferenceTypeService> configuration, ChainBuilder chainBuilder)

  - ### contributePageCachingReferenceTypeService

    public static void contributePageCachingReferenceTypeService(OrderedConfiguration<PageCachingReferenceTypeService> configuration)

  - ### buildComponentDependencyRegistry

    public static ComponentDependencyRegistry buildComponentDependencyRegistry(InternalComponentInvalidationEventHub internalComponentInvalidationEventHub, ResourceChangeTracker resourceChangeTracker, ComponentTemplateSource componentTemplateSource, PageClassLoaderContextManager pageClassLoaderContextManager, ComponentInstantiatorSource componentInstantiatorSource, ComponentClassResolver componentClassResolver, TemplateParser templateParser, ComponentTemplateLocator componentTemplateLocator, PerthreadManager perthreadManager, @Symbol("tapestry.component-dependency-file") String componentDependencyFile, @Symbol("tapestry.production-mode") boolean productionMode)